Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#70073 - [pipewire-pulse] Cannot list sinks after updating to 1:0.3.24-1

Attached to Project: Arch Linux
Opened by Moshiur Rahman (moshiur_rahman) - Friday, 19 March 2021, 08:06 GMT
Last edited by Jan Alexander Steffens (heftig) - Friday, 19 March 2021, 13:50 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Jan Alexander Steffens (heftig)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 1
Private No

Details

After updating to 1:0.3.24-1 the sinks are no longer detected and downgrading pipewire and pipewire-pulse to 1:0.3.23-1 fixes the issue
This task depends upon

Closed by  Jan Alexander Steffens (heftig)
Friday, 19 March 2021, 13:50 GMT
Reason for closing:  Not a bug
Comment by Jan Alexander Steffens (heftig) - Friday, 19 March 2021, 09:58 GMT
I can't confirm this. It works for me.
Comment by Andrea (Dea1993) - Friday, 19 March 2021, 10:02 GMT
same problem for me.
after installing pipewire-pulse 1:0.3.24-1, audio no more works.
pavucontrol doesn't detect anything (same for alsamixer).
i'm on sway with linux-zen, waybar panel doesn't show audio plugin
Comment by Lamb Maerten (Lamb) - Friday, 19 March 2021, 11:41 GMT
I have the same issue.
It seems that pipewire-media-session.service fails to start and it may be related.

Deleting media-session's config doesn't do anything but downgrading as said in the details works.

Mar 19 12:25:05 forest pipewire-media-session[4077]: core 0x55...: can't find protocol 'PipeWire:Protocol:Native': Operation not supported
Mar 19 12:25:05 forest pipewire-media-session[4077]: can't start monitor: Operation not supported

In case this is useful, here's my uname:
Linux forest 5.11.7-zen1-1-zen #1 ZEN SMP PREEMPT Wed, 17 Mar 2021 16:59:53 +0000 x86_64 GNU/Linux
Comment by Marc Cousin (cousinm) - Friday, 19 March 2021, 12:51 GMT
Exact same error here
Comment by Jan Alexander Steffens (heftig) - Friday, 19 March 2021, 13:04 GMT
Did you merge all config files in /etc/pipewire? Check: pacman -Qii pipewire pipewire-media-session

Ideally all config files should be UNMODIFIED.
Comment by Lamb Maerten (Lamb) - Friday, 19 March 2021, 13:11 GMT
Mmh, I checked and it works after deleting some old config files in media-session.d and reinstalling the last version of all the pipewire packages.
I had no recollection of modifying them tho.

MODIFIED /etc/pipewire/media-session.d/media-session.conf
MODIFIED /etc/pipewire/media-session.d/alsa-monitor.conf
Comment by Moshiur Rahman (moshiur_rahman) - Friday, 19 March 2021, 13:19 GMT
Same issue @Lamb . I don't think I ever modified the config files but after using the default configs it works fine now. pacman -Qii pipewire-media-session showed media-session.conf and alsa-monitor.conf was modified.

Loading...